<?xml version="1.0" encoding="utf-8"?>
<android.support.constraint.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#FFFFFFFF">

    <android.support.v7.widget.Toolbar
        android:id="@+id/toolbar_signature"
        android:layout_width="match_parent"
        android:layout_height="?attr/actionBarSize"
        android:background="#0077fd"
        app:title="@string/mediaBox_signature_createSignature"
        app:titleTextColor="@android:color/white"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent" />

    <TextView
        android:id="@+id/btn_save_signature"
        android:layout_width="wrap_content"
        android:layout_height="?attr/actionBarSize"
        android:paddingLeft="16dp"
        android:paddingStart="16dp"
        android:paddingRight="16dp"
        android:paddingEnd="16dp"
        android:textColor="@android:color/white"
        android:textSize="14sp"
        android:text="@string/mediaBox_signature_btnSave"
        android:gravity="center"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintRight_toRightOf="parent" />

    <TextView
        android:id="@+id/tv_writeHere"
        android:layout_width="match_parent"
        android:layout_height="48dp"
        android:layout_marginTop="8dp"
        android:layout_marginLeft="16dp"
        android:layout_marginStart="16dp"
        android:layout_marginRight="16dp"
        android:layout_marginEnd="16dp"
        android:gravity="center"
        android:textColor="#61000000"
        android:textSize="16sp"
        android:text="@string/mediaBox_signature_writeHere"
        app:layout_constraintTop_toBottomOf="@id/toolbar_signature"
        app:layout_constraintBottom_toTopOf="@id/btn_clear_signature"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent" />

    <com.kdanmobile.reader.screen.signature.SignatureDrawView
        android:id="@+id/drawView"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintTop_toBottomOf="@id/toolbar_signature"
        app:layout_constraintBottom_toTopOf="@id/separator"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent" />

    <LinearLayout
        android:id="@+id/separator"
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:orientation="horizontal"
        android:background="#1e000000"
        android:layout_marginBottom="70dp"
        app:layout_constraintBottom_toBottomOf="parent" />

    <android.support.constraint.Guideline
        android:id="@+id/guideline"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintGuide_percent="0.5" />

    <com.kdanmobile.reader.screen.view.ColorSelectView
        android:id="@+id/colorChooser_signature"
        android:layout_width="0dp"
        android:layout_height="48dp"
        android:layout_marginLeft="16dp"
        android:layout_marginStart="16dp"
        android:layout_marginRight="16dp"
        android:layout_marginEnd="16dp"
        android:gravity="center"
        android:layout_marginBottom="8dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toLeftOf="@+id/guideline" />

    <com.kdanmobile.reader.screen.reader.mediabox.common.MediaBoxSeekBar
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:id="@+id/seekBar_signature"
        android:layout_marginTop="10dp"
        android:layout_marginLeft="16dp"
        android:layout_marginStart="16dp"
        android:layout_marginRight="16dp"
        android:layout_marginEnd="16dp"
        app:title="Brush Size"
        app:unit="px"
        app:maxValue="24"
        app:minValue="2"
        app:initValue="10"
        app:layout_constraintTop_toBottomOf="@+id/separator"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toRightOf="@+id/guideline"
        app:layout_constraintRight_toRightOf="parent" />

    <Button
        android:id="@+id/btn_clear_signature"
        android:layout_width="72dp"
        android:layout_height="32dp"
        android:layout_marginLeft="16dp"
        android:layout_marginStart="16dp"
        android:layout_marginRight="16dp"
        android:layout_marginEnd="16dp"
        android:layout_marginBottom="87dp"
        android:background="@drawable/shape_rec_blue_border_rcorner"
        android:textColor="#0077fd"
        android:textSize="14sp"
        android:textStyle="bold"
        android:text="@string/mediaBox_signature_btnClear"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent" />

</android.support.constraint.ConstraintLayout>